Name:          flaw
Version:       1.3.2a
Release:       %mkrel 16
Summary:       F.L.A.W. is a fighting game between magicians
License:       GPLv3+
Group:         Games/Arcade
URL:           http://flaw.sourceforge.net/index.php
Source0:       %{name}-%{version}.tar.gz
Patch0:        flaw-1.3.2a-svn-autoconf-update-and-widescreen-resolution-support.patch

BuildRequires: boost-devel
BuildRequires: intltool
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(SDL_mixer)
BuildRequires: pkgconfig(SDL_ttf)
BuildRequires: pkgconfig(SDL_gfx)

Requires:      fonts-ttf-freefont

%description
F.L.A.W. is a free top-down wizard fighting game that can be played by
up to 5 players. The goal of the game is to survive as long as possible
while more and more fireballs appear in the arena.

%prep
%setup -q
%autopatch -p0

%build
autoreconf -vfi
%configure --with-fontpath=%{_datadir}/fonts/
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%exclude %{_docdir}/%{name}/INSTALL
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_bindir}/*
%{_datadir}/%{name}/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.3.2a-16.mga8
+ Revision: 1521540
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1.3.2a-15.mga7
+ Revision: 1345719
- rebuild for SDL_gfx

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2a-14.mga7
+ Revision: 1297721
- Mageia 7 Mass Rebuild

* Sun Nov 27 2016 wally <wally> 1.3.2a-13.mga6
+ Revision: 1070418
- remove unneeded freetype2 requires

* Fri Jun 10 2016 joequant <joequant> 1.3.2a-12.mga6
+ Revision: 1021049
- fix deps

* Sun Feb 14 2016 umeabot <umeabot> 1.3.2a-11.mga6
+ Revision: 960091
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 daviddavid <daviddavid> 1.3.2a-10.mga6
+ Revision: 894905
- add more docs to fix build with latest rpm
- exclude unneeded INSTALL doc file
- use find_lang macro for locale files
- fix owner of data dir

* Thu Oct 23 2014 akien <akien> 1.3.2a-9.mga5
+ Revision: 792684
- Add two upstream commits to update autoconf and support higher widescreen resolutions

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2a-8.mga5
+ Revision: 740410
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2a-7.mga5
+ Revision: 679229
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.3.2a-6.mga5
+ Revision: 591723
- rebuild for SDL_gfx

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2a-5.mga4
+ Revision: 529409
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1.3.2a-4.mga4
+ Revision: 451778
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 1.3.2a-3.mga3
+ Revision: 350497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.3.2a-2.mga3
+ Revision: 345440
- rebuild for new SDL_gfx

* Thu Nov 29 2012 juancho <juancho> 1.3.2a-1.mga3
+ Revision: 322916
- Updated to 1.3.2a

* Mon Mar 05 2012 juancho <juancho> 1.3.2-1.mga2
+ Revision: 219280
- Updated to version 1.3.2
- Dropped the two patches as they have been merged upstream

* Mon Nov 28 2011 fwang <fwang> 1.3.0-3.mga2
+ Revision: 173560
- rebuild for new boost

* Sun Sep 25 2011 juancho <juancho> 1.3.0-2.mga2
+ Revision: 147823
- Increased mkrel.
- Removed patch to fix libboost_filesystem detection.

* Mon Sep 05 2011 juancho <juancho> 1.3.0-1.mga2
+ Revision: 138912
- Changed (again) the Group tag according to mageia rpmlint policies.
- Removed Version from desktop file and adjusted again the Group tag.
- Cleaned up Requires and BuildRequires and %%configure macro call.
- Redo sprintf format string patch.
- Changed direct call to configure script for %%configure2_5x macro
- Added patch to fix sprintf format spring bugs triggered by change to %%configure2_5x macro
- Updated %%files section.
- Removed BuildRoot and %%changelog.
- Added patch to fix libboost_filesystem detection in configure script.
- Fixed Group, removed BuildRoot and %%changelog
+ joaquin <joaquin>
- Spec flaw fixed: -Group,-BuildRequires,-License,-Summary,-%%Files,-%%changelog
- imported package flaw


* Fri Jul 8 2011 Joaquín Moreno <joaquinmandriva@gmail.com>
- Packaged to Mageia (Blogdrake Repository)


* Mon May 30 2011 gigartua 
+Update to 1.3.0
*Thu Aug 25 2010 Juan Gámez <juan.gamez@gmail.com>
 - Fichero *.spec inicial.
